﻿using UnityEngine;
using System.Collections;

public class Interactable : MonoBehaviour {
	public string message;

	public virtual void OnStartWatching() {
		UIManager.instance.SetPrompt(message);

	}

	public virtual void OnWatch() {
	}

	public virtual void OnStopWatching() {
		UIManager.instance.ResetPrompt();
	}

	public virtual void Interact() {
	}
	
}
