﻿using UnityEngine;
using UnityEngine.UI;
using System.Collections;

public class UIManager : MonoBehaviour {
	private Text prompt;
	public static UIManager instance;

	void Awake() {
		instance = this;
		prompt = transform.FindChild("Prompt").GetComponent<Text>();
	}

	public void SetPrompt(string message) {
		prompt.text = message;
	}

	public void ResetPrompt() {
		prompt.text = "";
	}
}
